#include <windows.h>
#include "exports.h"
#include "cwstart.h"

LIBMAIN

/* Exported functions */
void DLL ViewChanged(void);

void DLL 
_init()
{
	static BOOL firstTime = TRUE;

	if (firstTime) {
		LibExport("ViewChanged");

		firstTime = FALSE;
	}
}

void DLL ViewChanged(void)
{
	AttrSetVisible(1, 0, 0); /* Set all lines invisible */
	MovToOffset(0);

	do {
		if (AttrQChangeMark()) /* If the line has changed, make it visible */
			AttrSetVisible(BufQCurrentLine(), BufQCurrentLine(), 1);
	} while (MovDown(1)); /* While there are more lines */

	MovToOffset(0);
	BufSetCompact();
}